package com.gh.download;

import java.util.Observable;
import java.util.Observer;


public abstract class DataWatcher implements Observer{

	@Override
	public void update(Observable observable, Object data) {
		if (data != null && data instanceof DownloadEntity) {
			onDataChanged((DownloadEntity) data);
		}
	}

	public abstract void onDataChanged(DownloadEntity downloadEntity);

}
